Jump to content

Problems with tekkit 3.1.2


Recommended Posts

Hey guys... im kinda new to the forums, but i wanted to point out a couple of bugs and problems i've been having on my private server. Ok, one of them is the quarries glitching out and not moving or they stop half way...

this one here is connected with solar panels and energy link and has been doing absolutely nothing,

but has worked before!

fBYob.jpg

heres the power source to the above picture... i have the pipes and glass fibre cables coming out the back

MtKEb.png

The other problem is users trying to connect to the server... people get "Failed to Verify Username" even though they paid for the game and we are using the latest java and Tekkit Client & Server!

Server Side Error:

IwKtw.png

Client Side Error:

(i haven't yet taken a pic of this... but when i do i will post it asap)

If theres any Fix for these problems... i would like to know... thanks :)

-Edit:-

Found a new problem... im trying to run the server on linux and nothing is actually working at all... heres the error code.

182 recipes

27 achievements

04:28:02 [iNFO] Starting minecraft server version 1.2.5

04:28:02 [iNFO] Attempting early MinecraftForge initialization

04:28:02 [iNFO] Completed early MinecraftForge initialization

04:28:02 [iNFO] Forge Mod Loader version 2.2.91.173 for Minecraft 1.2.5 loading

04:28:02 [iNFO] Loading mods from /home/tyler/Desktop/tekkit/mods

04:28:03 [WARNING] Failed to load mod class net/minecraft/server/mod_NetherOres.class in /home/tyler/Desktop/tekkit/mods/mod_NetherOres.jar

04:28:03 [sEVERE] Zip file mod_NetherOres.jar failed to read properly

04:28:03 [iNFO] File mod_NetherOres.jar contained no mods

04:28:03 [iNFO] Directory weaponmod contained no mods

04:28:03 [sEVERE] A problem has occured during mod loading. Likely a corrupt jar is located in your mods directory

04:28:03 [sEVERE] cpw.mods.fml.common.LoaderException: cpw.mods.fml.common.LoaderException: java.lang.UnsupportedClassVersionError: net/minecraft/server/mod_NetherOres : Unsupported major.minor version 51.0

04:28:03 [sEVERE]    at cpw.mods.fml.common.Loader.load(Loader.java:436)

04:28:03 [sEVERE]    at cpw.mods.fml.common.Loader.loadMods(Loader.java:606)

04:28:03 [sEVERE]    at cpw.mods.fml.server.FMLBukkitHandler.onPreLoad(FMLBukkitHandler.java:134)

04:28:03 [sEVERE]    at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:135)

04:28:03 [sEVERE]    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:438)

04:28:03 [sEVERE]    at net.minecraft.server.ThreadServerApplication.run(SourceFile:492)

04:28:03 [sEVERE] Caused by: cpw.mods.fml.common.LoaderException: java.lang.UnsupportedClassVersionError: net/minecraft/server/mod_NetherOres : Unsupported major.minor version 51.0

04:28:03 [sEVERE]    at cpw.mods.fml.common.Loader.loadModClass(Loader.java:527)

04:28:03 [sEVERE]    at cpw.mods.fml.common.Loader.attemptFileLoad(Loader.java:562)

04:28:03 [sEVERE]    at cpw.mods.fml.common.Loader.load(Loader.java:419)

04:28:03 [sEVERE]    ... 5 more

04:28:03 [sEVERE] Caused by: java.lang.UnsupportedClassVersionError: net/minecraft/server/mod_NetherOres : Unsupported major.minor version 51.0

04:28:03 [sEVERE]    at java.lang.ClassLoader.defineClass1(Native Method)

04:28:03 [sEVERE]    at java.lang.ClassLoader.defineClass(ClassLoader.java:634)

04:28:03 [sEVERE]    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)

04:28:03 [sEVERE]    at java.net.URLClassLoader.defineClass(URLClassLoader.java:277)

04:28:03 [sEVERE]    at java.net.URLClassLoader.access$000(URLClassLoader.java:73)

04:28:03 [sEVERE]    at java.net.URLClassLoader$1.run(URLClassLoader.java:212)

04:28:03 [sEVERE]    at java.security.AccessController.doPrivileged(Native Method)

04:28:03 [sEVERE]    at java.net.URLClassLoader.findClass(URLClassLoader.java:205)

04:28:03 [sEVERE]    at java.lang.ClassLoader.loadClass(ClassLoader.java:321)

04:28:03 [sEVERE]    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)

04:28:03 [sEVERE]    at java.lang.ClassLoader.loadClass(ClassLoader.java:314)

04:28:03 [sEVERE]    at java.lang.ClassLoader.loadClass(ClassLoader.java:266)

04:28:03 [sEVERE]    at java.lang.Class.forName0(Native Method)

04:28:03 [sEVERE]    at java.lang.Class.forName(Class.java:264)

04:28:03 [sEVERE]    at cpw.mods.fml.common.Loader.loadModClass(Loader.java:494)

04:28:03 [sEVERE]    ... 7 more

04:28:03 [sEVERE] Unexpected exception

cpw.mods.fml.common.LoaderException: cpw.mods.fml.common.LoaderException: java.lang.UnsupportedClassVersionError: net/minecraft/server/mod_NetherOres : Unsupported major.minor version 51.0

    at cpw.mods.fml.common.Loader.load(Loader.java:436)

    at cpw.mods.fml.common.Loader.loadMods(Loader.java:606)

    at cpw.mods.fml.server.FMLBukkitHandler.onPreLoad(FMLBukkitHandler.java:134)

    at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:135)

    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:438)

    at net.minecraft.server.ThreadServerApplication.run(SourceFile:492)

Caused by: cpw.mods.fml.common.LoaderException: java.lang.UnsupportedClassVersionError: net/minecraft/server/mod_NetherOres : Unsupported major.minor version 51.0

    at cpw.mods.fml.common.Loader.loadModClass(Loader.java:527)

    at cpw.mods.fml.common.Loader.attemptFileLoad(Loader.java:562)

    at cpw.mods.fml.common.Loader.load(Loader.java:419)

    ... 5 more

Caused by: java.lang.UnsupportedClassVersionError: net/minecraft/server/mod_NetherOres : Unsupported major.minor version 51.0

    at java.lang.ClassLoader.defineClass1(Native Method)

    at java.lang.ClassLoader.defineClass(ClassLoader.java:634)

    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)

    at java.net.URLClassLoader.defineClass(URLClassLoader.java:277)

    at java.net.URLClassLoader.access$000(URLClassLoader.java:73)

    at java.net.URLClassLoader$1.run(URLClassLoader.java:212)

    at java.security.AccessController.doPrivileged(Native Method)

    at java.net.URLClassLoader.findClass(URLClassLoader.java:205)

    at java.lang.ClassLoader.loadClass(ClassLoader.java:321)

    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)

    at java.lang.ClassLoader.loadClass(ClassLoader.java:314)

    at java.lang.ClassLoader.loadClass(ClassLoader.java:266)

    at java.lang.Class.forName0(Native Method)

    at java.lang.Class.forName(Class.java:264)

    at cpw.mods.fml.common.Loader.loadModClass(Loader.java:494)

    ... 7 more

Link to comment
Share on other sites

no, its a MFSU connected to a power link... honestly... you haven't used Sphax PureBD Texture pack before?

Nope, I've stuck with default or Faithful32. I run a server on the same computer, and I don't really want a higher-res texture pack pulling larger amounts of RAM.

May I suggest painting those glass fiber cables to split them up? Cable intersections like that are not nice to EU efficiency in my experience.

Link to comment
Share on other sites

Nope, I've stuck with default or Faithful32. I run a server on the same computer, and I don't really want a higher-res texture pack pulling larger amounts of RAM.

May I suggest painting those glass fiber cables to split them up? Cable intersections like that are not nice to EU efficiency in my experience.

You can get sphax in any Res from x16 to x512

Link to comment
Share on other sites

Nope, I've stuck with default or Faithful32. I run a server on the same computer, and I don't really want a higher-res texture pack pulling larger amounts of RAM.

May I suggest painting those glass fiber cables to split them up? Cable intersections like that are not nice to EU efficiency in my experience.

i never had any problems till i put it on a 3.1.2 server, and when i first upgraded from 3.0.3 it worked fine until 2 days ago

Link to comment
Share on other sites

Can you please help me with this problem and not talk about my texture pack... i have users who want to get on my server!

Sorry. You started it. :)

So, you have 3 errors... quarry not working, unable to verify username, and netherores.

1) Quarries not working can be caused by permissions problems (BuildCraft not having the ability to break blocks in a certain area), but that doesn't look like the issue here...mostly. It looks like it build the frame then stopped. Do you have permissions plugins, and what is [buildcraft] allowed to do in them?

2) Unable to verify username can be caused by the server running offline, client internet connection issues, or a whitelist in place that they're not on.

3) Netherores is a really common problem, though for some reason it doesn't apply to even a majority of servers, I don't think. The most common solution that works well (ish) is to make sure your Java is completely updated. You could try finding a new Bukkit port of it to replace the current one with. Otherwise, just deleting it usually fixes the problem, as long as you don't care whether you have Nether Ores or not.

Oh, and this is the wrong section for bugs.

Link to comment
Share on other sites

i realize that now... can you or i move the post to the bugs section... or something

I would, but you completely failed to fill out a bug report form. I'd suggest going and doing that, then copying the necessary pictures/info over, and requesting this thread be closed. It's either that, or you can edit the OP here with the bug report form, but that's probably more of a pain.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...